> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 日次利用量

> 現在の請求サイクルにおける日次の利用量を返します

Enterprise管理者の個人用APIキーが必要です。

Enterprise全体のACU日次利用データを、日付および組織ごとに分けて返します。

<div id="timezone-behavior">
  ## タイムゾーンの動作
</div>

課金サイクルでは、日付の境界として **PST（Pacific Standard Time）の深夜 0 時** を使用しており、これは **08:00:00 UTC** に相当します。Devin ダッシュボードに表示される利用データと一致させるには、このタイムゾーンオフセットを反映したタイムスタンプを指定する必要があります。

たとえば、2025 年 12 月 5 日から 2026 年 1 月 5 日までの課金サイクルの利用量をクエリするには、次のようにします。

```bash theme={null}
curl "https://api.devin.ai/v2/enterprise/consumption/daily?start_date=2025-12-05T08:00:00Z&end_date=2026-01-05T08:00:00Z" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

`T08:00:00Z` のサフィックスを付けずに日付（例: `2025-12-05`）を指定した場合、API はその日付を UTC の午前0時として解釈するため、ダッシュボードと比べて消費量の合計がわずかに異なる場合があります。

<div id="filtering-by-organization">
  ## 組織によるフィルタリング
</div>

`org_ids` でフィルタリングする場合、結果には Devin セッションで消費された ACU のみが含まれます。Cascade と Terminal による ACU の消費は、これらのプロダクトの利用がどの組織にも紐づかないため、除外されます。


## OpenAPI

````yaml ja/v2-openapi.yaml GET /v2/enterprise/consumption/daily
openapi: 3.1.0
info:
  description: Enterprise 管理者向け Personal API Keys 対応 Devin v2 API
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/consumption/daily:
    get:
      tags:
        - consumption
      summary: 日次消費エンドポイント
      description: >-
        現在の請求サイクルにおける日次の利用量を返します。


        **タイムゾーンの扱い**: 請求サイクルでは、1 日の区切りとして PST（Pacific Standard Time）の午前 0
        時を使用します。これは UTC の 08:00:00 に相当します。Devin
        ダッシュボードに表示される利用データと一致させるには、このタイムゾーンのオフセットを反映したタイムスタンプを渡してください（例: 2025 年
        12 月 5 日（PST）に対応する `2025-12-05T08:00:00Z`）。
      operationId: daily_consumption_endpoint_v2_enterprise_consumption_daily_get
      parameters:
        - in: query
          name: start_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start Date
        - in: query
          name: end_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End Date
        - in: query
          name: start
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start
        - in: query
          name: end
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End
        - in: query
          name: org_ids
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Org Ids
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsumptionResponse'
          description: 成功時のレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    ConsumptionResponse:
      properties:
        consumption_by_date:
          additionalProperties:
            type: number
          propertyNames:
            format: date
          title: Consumption By Date
          type: object
        consumption_by_org_id:
          additionalProperties:
            type: number
          title: Consumption By Org Id
          type: object
        consumption_by_user:
          anyOf:
            - additionalProperties:
                type: number
              type: object
            - type: 'null'
          title: Consumption By User
        total_acus:
          title: Total Acus
          type: number
      required:
        - total_acus
        - consumption_by_date
        - consumption_by_org_id
      title: ConsumptionResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Enterprise 管理者専用の個人用 API キー (apk_user_*)
      scheme: bearer
      type: http

````